/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.dps;

import cn.com.qmth.examcloud.core.questions.base.converter.model.platform.PaperVo;

import java.io.Serializable;
import java.util.List;

/**
 * 试卷
 */
public class PaperDto implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String id;//注：这里的Id对应试卷代码
    private String name;//试卷名称
    private String courseCode;//课程代码
    private String paperType;//试卷类型
    private Double totalScore;//试卷总分
    private Integer detailCount;//大题数量
    private List<PaperDetailDto> details;//大题列表

    public PaperDto(PaperVo paper) {
        this.id = paper.getId();
        this.name = paper.getName();
        this.courseCode = paper.getCourseCode();
        //this.paperType = "A";
        this.totalScore = paper.getTotalScore();
        this.detailCount = paper.getDetailCount();
    }

    public PaperDto() {

    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }

    public List<PaperDetailDto> getDetails() {
        return details;
    }

    public void setDetails(List<PaperDetailDto> details) {
        this.details = details;
    }

}